## r-cran-rcsdp 0.1.57.2

=== src/Csdp/lib/Makefile ===
#
# Uncomment this line to specify the C compiler if the system default isn't
# what you want to use.  
#
#CC=cc
#
# Use this line to specify options for the C compiler.  You'll probably
# want to turn on optimizations. You may also have to use some of the 
# following flags:
#
#  -DCAPSBLAS         if BLAS routine names are capitalized.
#  -DCAPSLAPACK       if LAPACK routine names are capitalized.
#  -DNOUNDERBLAS      if BLAS routine names have no underscore.
#  -DNOUNDERLAPACK    if LAPACK routine names have no underscore.
#  -DBIT64            For I32LP64 systems.
#  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
#  -DUSEOPENMP        Build an OpenMP parallel version.
#  -DSETNUMTHREADS    Work with OpenMP aware BLAS.  
#  -DUSESIGTERM       Terminate nicely at the end of the next iteration
#                     after receiving a SIGTERM signal
#  -DUSEGETTIME       Use ANSI C gettime() routine to determine clock
#                     time used in different parts of the code.
#  -DUSEATLAS         Turns on some special code for use with the ATLAS BLAS.
#
# The default settings for gcc:
#
CFLAGS=-O3 -ansi -Wall -DNOSHORTS -DUSEGETTIME -I../include
#
# Notes on CFLAGS.
#
# 1. The -DNOSHORTS flag should always be used.  When this is turned off,
#    it causes the code to use unsigned short integers (maximum value 65535)
#    in the data structures that describe the problem.  This can cause problems
#    when some of the size parameters are larger than 65535.  
#
# 2. -DUSEGETTIME is generally useful.  However, this functionality isn't
#    available under Windows/MSYS/MINGW, so you should remove it when compiling
#    for that system.
#
# 3. By default, we assume that BLAS routines have names like ddot_(),
#    but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
#    effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
#    -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
# 
# 4. The code can be built on 64 bit systems that use an I32LP64 model
#    in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
#    that is the model on all 64 bit Linux and Unix systems that I'm aware of,
#    but it is not the model used by MS in its 64 bit Windows!  To build a 
#    64 bit version of the code, use -DBIT64.  You may also need to add a CFLAG
#    to tell your compiler to produce 64 bit code.  For example, with gcc, 
#    you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
#
# 5. If you have multiple CPU's, and if your compiler supports OpenMP, then
#    you should definitely build a parallel version of CSDP.  To do this,
#    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
#    use OpenMP's conventions for setting the number of threads to use, then
#    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
#    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
#    on Solaris with -lsunperf and AIX systems with -lesslsmp.
#
#    You will also have to add appropriate CFLAGS to tell your compiler
#    to compile OpenMP code.  This varies from system to system.  However,
#    with gcc4.2, you can use 
#          
#      -static -fopenmp 
#
#    You may also have to add additional libraries when you link your 
#    OpenMP code.  For example, gcc 4.2 with OpenMP needs 
# 
#      -lgomp -lrt -lpthread
#    
# 6. Using gcc, you can greatly improve the efficency of the code if you 
#    specify your processor type.  Examples are given below, use the default 
#    if you are unsure.  More examples may be found at 
#
#     http://gcc.gnu.org/onlinedocs/gcc/i386-and-x86_002d64-Options.html
#
# An AMD Athlon XP  based machine:
#  CFLAGS=-march=athlon-xp -O3 -ansi -Wall -DNOSHORTS  -I../include
# An Intel Pentum 4 based machine:
#  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS  -I../include
#
# 7. The code can be built with Intel's icc C compiler and MKL BLAS/
#    LAPACK libraries.  This has been tested with icc 11.0 and should 
#    work with later versions as well.
#
#      CC=icc
#      CFLAGS=-O3 -m64 -openmp -DBIT64 -DUSEOPENMP -DNOSHORTS -DSETNUMTHREADS
#              -I../include
#      LIBS=-openmp -L../lib -lsdp -mkl -lm
#
# 8. The can works particularly well with the ATLAS BLAS/LAPACK routines 
#    when compiled with gcc. There are some important optimizations in the
#    code that depend on the availability of routines within ATLAS, so use
#    use -DUSEATLAS to turn these on.  e.g.  
#
#      CFLAGS=-O3  -fopenmp  -ansi -Wall -DUSEATLAS -DNOSHORTS -DBIT64 
#             -DUSEOPENMP -I../include
#
#
# 9. If you change the CFLAGS, make sure that you use the same CFLAGS
#    in the Makefiles in the solver and theta directories!
#
#  Build the library.
#
libsdp.a: readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o  qreig.o tweakgap.o freeprob.o packed.o  sortentries.o
	${AR} cr libsdp.a  readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o qreig.o tweakgap.o freeprob.o packed.o sortentries.o
#
# On some systems, you might need to add after "ar cr libsdp.a ..."
#        ranlib libsdp.a
#
#
# To clean things up.
#
clean:
	rm -f *.o
	rm -f libsdp.a

=== debian/changelog ===
r-cran-rcsdp (0.1.57.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.1.57.2

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:44:19 +0530

r-cran-rcsdp (0.1.57.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Upstream does not provide any test thus remove autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 19:37:53 +0530

r-cran-rcsdp (0.1.57.1-1) unstable; urgency=medium

  * Initial release (closes: #995489)

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:14:11 +0200

=== debian/control ===
Source: r-cran-rcsdp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp.git
Homepage: https://cran.r-project.org/package=Rcsdp
Rules-Requires-Root: no

Package: r-cran-rcsdp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Interface to the CSDP Semidefinite Programming Library
 R interface to the CSDP semidefinite programming library. Installs
 version 6.1.1 of CSDP from the COIN-OR website if required. An
 existing installation of CSDP may be used by passing the proper
 configure arguments to the installation command. See the INSTALL file
 for further details.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Rcsdp_([-\d.]*)\.tar\.gz

## r-cran-rcsdp 0.1.57.4

=== DESCRIPTION ===
Package: Rcsdp
Version: 0.1.57.4
Title: R Interface to the CSDP Semidefinite Programming Library
Authors@R: c(
    person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
    person("Florian", "Schwendinger", email="FlorianSchwendinger@gmx.at", role=c("ctb")),
    person("Brian", "Borchers", role="aut"),
    person("Don", "van den Bergh", role="ctb")
  )
Description: R interface to the CSDP semidefinite programming library. Installs version 6.1.1 of CSDP from the COIN-OR website if required. An existing installation of CSDP may be used by passing the proper configure arguments to the installation command. See the INSTALL file for further details.
LazyLoad: yes
Imports: methods
Enhances: Matrix
License: CPL-1.0
URL: https://github.com/coin-or/Csdp/
RoxygenNote: 7.0.2
BugReports: https://github.com/hcorrada/rcsdp/issues
NeedsCompilation: yes
Packaged: 2022-12-13 16:17:49 UTC; f
Author: Hector Corrada Bravo [aut, cre],
  Florian Schwendinger [ctb],
  Brian Borchers [aut],
  Don van den Bergh [ctb]
Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-14 06:32:18 UTC

=== src/Csdp/Makefile ===
#
# This Makefile can be used to automatically build the entire package.  
#
# If you make changes in the "Makefile" under any subdirectory, you can
# rebuild the system with "make clean" followed by "make all".
#
#
# Generic. On most systems, this should handle everything.
#
all:
	cd lib; make libsdp.a
	cd solver; make csdp
	cd theta; make all
	cd example; make all

#
# Perform a unitTest
#

unitTest:
	cd test; make all

#
# Install the executables in /usr/local/bin.
#

install:
	cp -f solver/csdp /usr/local/bin
	cp -f theta/theta /usr/local/bin
	cp -f theta/graphtoprob /usr/local/bin
	cp -f theta/complement /usr/local/bin
	cp -f theta/rand_graph /usr/local/bin

#
# Clean out all of the directories.
# 

clean:
	cd lib; make clean
	cd solver; make clean
	cd theta; make clean
	cd test; make clean
	cd example; make clean

=== debian/changelog ===
r-cran-rcsdp (0.1.57.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:02:32 +0100

## r-cran-rcsdp 0.1.57.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: Rcsdp
-Version: 0.1.57.4
+Version: 0.1.57.5
 Title: R Interface to the CSDP Semidefinite Programming Library
 Authors@R: c(
     person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
@@ -16,11 +16,11 @@
 RoxygenNote: 7.0.2
 BugReports: https://github.com/hcorrada/rcsdp/issues
 NeedsCompilation: yes
-Packaged: 2022-12-13 16:17:49 UTC; f
+Packaged: 2023-04-10 09:36:22 UTC; hornik
 Author: Hector Corrada Bravo [aut, cre],
   Florian Schwendinger [ctb],
   Brian Borchers [aut],
   Don van den Bergh [ctb]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-14 06:32:18 UTC
+Date/Publication: 2023-04-10 09:39:32 UTC

=== debian/changelog ===
r-cran-rcsdp (0.1.57.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 17:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-rcsdp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp.git
+Homepage: https://cran.r-project.org/package=Rcsdp
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp.git
-Homepage: https://cran.r-project.org/package=Rcsdp
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcsdp
 Architecture: any

## r-cran-rcsdp 0.1.57.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: Rcsdp
-Version: 0.1.57.5
+Version: 0.1.57.6
 Title: R Interface to the CSDP Semidefinite Programming Library
 Authors@R: c(
     person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
@@ -16,11 +16,11 @@
 RoxygenNote: 7.0.2
 BugReports: https://github.com/hcorrada/rcsdp/issues
 NeedsCompilation: yes
-Packaged: 2023-04-10 09:36:22 UTC; hornik
+Packaged: 2025-06-23 10:22:38 UTC; hornik
 Author: Hector Corrada Bravo [aut, cre],
   Florian Schwendinger [ctb],
   Brian Borchers [aut],
   Don van den Bergh [ctb]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-04-10 09:39:32 UTC
+Date/Publication: 2025-06-23 10:24:35 UTC

=== debian/changelog ===
r-cran-rcsdp (0.1.57.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 15:29:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-rcsdp
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp.git
 Homepage: https://cran.r-project.org/package=Rcsdp
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcsdp
 Architecture: any
